Bug 6172 - problem with xmodmap
problem with xmodmap
Product: Red Hat Linux
Classification: Retired
Component: gnome-core (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Elliot Lee
Depends On:
  Show dependency treegraph
Reported: 1999-10-20 22:58 EDT by denis.bergeron
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-14 16:35:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description denis.bergeron 1999-10-20 22:58:55 EDT
I use xmodmap to change from us keyboard (xmodmap.us) to
quebecois keyboard (xmodmap.qc).
when i switch back, from quebecois I enconter a strange bug,
some keys doesn't work anymore, and the numlock key have a
strange comportement, the light was always off, but the
numeric keyboard was always on except for the dot (.) whom
doesn't work anymore.

You don't put xmodmap in the listing, so I choose
enlightenment, this is the WM I use under X.

I don't use GKB-Xkb, because event if you have the Quebec's
flag on it and the qc keymap, it's simply don't work, and it
don't remember the configuration :-(
Comment 1 Elliot Lee 1999-11-17 17:26:59 EST
Just changing the component.
Comment 2 Elliot Lee 2000-02-14 16:35:59 EST
I think the main problem is that the xmodmap files are not intended to undo each
others changes - you need to pick one and stay with it. I can produce the same
behaviour, but this is in the "so don't do that" category, I think...?

Note You need to log in before you can comment on or make changes to this bug.